Create global wallet settings for the environment
Creates new global wallet settings for the specified environment.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/globalWallet/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"walletName": "An example name",
"popupPageTitle": "An example name",
"walletIconUrl": "https://website-sample/icon.svg",
"customCssUrl": "https://website-sample/custom.css",
"termsOfServiceUrl": "https://website-sample.com",
"privacyPolicyUrl": "https://website-sample.com",
"termsOfServiceAndPrivacyPolicyMarkdown": "This is a markdown example with a **bold** text and a [link](https://website-sample.com)",
"customMenuLinks": [
{
"label": "An example name",
"url": "https://website-sample.com"
}
],
"enableLoginWithExternalWallets": true
}
'import requests
url = "https://app.dynamicauth.com/api/v0/environments/{environmentId}/globalWallet/settings"
payload = {
"walletName": "An example name",
"popupPageTitle": "An example name",
"walletIconUrl": "https://website-sample/icon.svg",
"customCssUrl": "https://website-sample/custom.css",
"termsOfServiceUrl": "https://website-sample.com",
"privacyPolicyUrl": "https://website-sample.com",
"termsOfServiceAndPrivacyPolicyMarkdown": "This is a markdown example with a **bold** text and a [link](https://website-sample.com)",
"customMenuLinks": [
{
"label": "An example name",
"url": "https://website-sample.com"
}
],
"enableLoginWithExternalWallets": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
walletName: 'An example name',
popupPageTitle: 'An example name',
walletIconUrl: 'https://website-sample/icon.svg',
customCssUrl: 'https://website-sample/custom.css',
termsOfServiceUrl: 'https://website-sample.com',
privacyPolicyUrl: 'https://website-sample.com',
termsOfServiceAndPrivacyPolicyMarkdown: 'This is a markdown example with a **bold** text and a [link](https://website-sample.com)',
customMenuLinks: [{label: 'An example name', url: 'https://website-sample.com'}],
enableLoginWithExternalWallets: true
})
};
fetch('https://app.dynamicauth.com/api/v0/environments/{environmentId}/globalWallet/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"walletName": "An example name",
"popupPageTitle": "An example name",
"walletIconUrl": "https://website-sample/icon.svg",
"customCssUrl": "https://website-sample/custom.css",
"termsOfServiceUrl": "https://website-sample.com",
"privacyPolicyUrl": "https://website-sample.com",
"termsOfServiceAndPrivacyPolicyMarkdown": "This is a markdown example with a **bold** text and a [link](https://website-sample.com)",
"customMenuLinks": [
{
"label": "An example name",
"url": "https://website-sample.com"
}
],
"enableLoginWithExternalWallets": true,
"enabledAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "No jwt provided!"
}{
"error": "Access Forbidden"
}{
"error": "Resources already exists for this Object",
"payload": {
"email": "joe@email.com",
"embeddedWalletName": "<string>",
"mergeConflicts": {
"fromUser": {
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"projectEnvironmentId": "95b11417-f18f-457f-8804-68e361f9164f",
"verifiedCredentials": [
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"signInEnabled": true,
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chain": "<string>",
"refId": "95b11417-f18f-457f-8804-68e361f9164f",
"signerRefId": "95b11417-f18f-457f-8804-68e361f9164f",
"email": "jsmith@example.com",
"name_service": {
"avatar": "<string>",
"name": "<string>"
},
"public_identifier": "<string>",
"wallet_name": "<string>",
"wallet_properties": {
"turnkeySubOrganizationId": "95b11417-f18f-457f-8804-68e361f9164f",
"turnkeyPrivateKeyId": "95b11417-f18f-457f-8804-68e361f9164f",
"turnkeyHDWalletId": "95b11417-f18f-457f-8804-68e361f9164f",
"isAuthenticatorAttached": true,
"turnkeyUserId": "95b11417-f18f-457f-8804-68e361f9164f",
"isSessionKeyCompatible": true
},
"business_account_properties": {
"businessAccountId": "95b11417-f18f-457f-8804-68e361f9164f",
"businessAccountCreatedAt": "2023-11-07T05:31:56Z",
"businessAccountSignerId": "95b11417-f18f-457f-8804-68e361f9164f",
"businessAccountName": "<string>",
"businessAccountExternalRef": "<string>"
},
"oauth_username": "<string>",
"oauth_display_name": "<string>",
"oauth_account_id": "<string>",
"phoneNumber": "9171113333",
"phoneCountryCode": "1",
"isoCountryCode": "US",
"oauth_account_photos": [
"<string>"
],
"oauth_emails": [
"<string>"
],
"oauth_metadata": {},
"previous_users": [
"95b11417-f18f-457f-8804-68e361f9164f"
],
"embedded_wallet_id": "<string>",
"wallet_additional_addresses": [
{
"address": "<string>",
"publicKey": "<string>",
"network": "<string>"
}
],
"lastSelectedAt": "2023-11-07T05:31:56Z",
"verifiedAt": "2023-11-07T05:31:56Z"
}
],
"lastVerifiedCredentialId": "95b11417-f18f-457f-8804-68e361f9164f",
"sessionId": "95b11417-f18f-457f-8804-68e361f9164f",
"alias": "An example name",
"country": "US",
"email": "jsmith@example.com",
"firstName": "An example name",
"jobTitle": "An example name",
"lastName": "An example name",
"phoneNumber": "<string>",
"policiesConsent": true,
"tShirtSize": "An example name",
"team": "An example name",
"username": "An example name",
"firstVisit": "2023-11-07T05:31:56Z",
"lastVisit": "2023-11-07T05:31:56Z",
"newUser": true,
"metadata": {},
"btcWallet": "<string>",
"kdaWallet": "<string>",
"ltcWallet": "<string>",
"ckbWallet": "<string>",
"kasWallet": "<string>",
"dogeWallet": "<string>",
"emailNotification": true,
"discordNotification": true,
"newsletterNotification": true,
"lists": [
"<string>"
],
"scope": "superuser marketing operations",
"missingFields": [
{
"name": "<string>",
"required": true,
"enabled": true,
"unique": true,
"verify": true,
"validationRules": {
"unique": true,
"regex": "^0x",
"validOptions": [
{
"label": "small"
},
{
"label": "medium"
},
{
"label": "large"
}
],
"checkboxText": "Agree to the terms and conditions"
},
"label": "<string>",
"position": 123
}
]
},
"conflicts": [
{
"field": {
"name": "<string>",
"required": true,
"enabled": true,
"unique": true,
"verify": true,
"validationRules": {
"unique": true,
"regex": "^0x",
"validOptions": [
{
"label": "small"
},
{
"label": "medium"
},
{
"label": "large"
}
],
"checkboxText": "Agree to the terms and conditions"
},
"label": "<string>",
"position": 123
},
"fromUser": {
"userId": "95b11417-f18f-457f-8804-68e361f9164f",
"value": "An example name"
},
"currentUser": {
"userId": "95b11417-f18f-457f-8804-68e361f9164f",
"value": "An example name"
}
}
]
},
"additionalMessages": [
"<string>"
]
}
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Body
50^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
50^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/[^\/]*)*\/[^\/]*\.(?:png|svg)$"https://website-sample/icon.svg"
^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/[^\/]*)*\/[^\/]*\.css$"https://website-sample/custom.css"
^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$"https://website-sample.com"
^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$"https://website-sample.com"
1024^$|^(?!.*<[^&]+>)[a-zA-Z0-9\s\/;:\*\-\(\)\[\]%#@'"\\.,=+\$&]+$"This is a markdown example with a **bold** text and a [link](https://website-sample.com)"
Array of {label, url} objects that add custom navigation links to the wallet menu
Show child attributes
Show child attributes
When true, users can also log in with external wallets (MetaMask, WalletConnect, etc.)
Response
Successfully created global wallet settings for this environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
50^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
50^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/[^\/]*)*\/[^\/]*\.(?:png|svg)$"https://website-sample/icon.svg"
^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/[^\/]*)*\/[^\/]*\.css$"https://website-sample/custom.css"
^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$"https://website-sample.com"
^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$"https://website-sample.com"
1024^$|^(?!.*<[^&]+>)[a-zA-Z0-9\s\/;:\*\-\(\)\[\]%#@'"\\.,=+\$&]+$"This is a markdown example with a **bold** text and a [link](https://website-sample.com)"
List of custom menu links displayed in the global wallet
Show child attributes
Show child attributes
Whether users can log in using external (non-embedded) wallets
If global wallet is enabled, then this timestamp will be present.
Was this page helpful?
